/*
 *  This file is part of xMule2.
 *  Copyright (C) 2003 Alo Sarv <alo17@hot.ee>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
 
#ifdef __GNUG__
	#pragma implementation "ServerListCtrl.cpp"
#endif

// For compilers that support precompilation, includes "wx/wx.h".
#include "wx/wxprec.h"

#ifdef __BORLANDC__
	#pragma hdrstop
#endif

#include "ServerListCtrl.h"

BEGIN_EVENT_TABLE(CServerListCtrl, wxListCtrl)
END_EVENT_TABLE()

/*
 * Constructor for Server List Control. Constructs the list control and
 * column layout.
 */
CServerListCtrl::CServerListCtrl(
	wxWindow*& parent,int id,const wxPoint& pos,wxSize siz,int flags
)
: wxListCtrl(parent,id,pos,siz,flags) {

	InsertColumn( 0, wxT("Server Name"));
	InsertColumn( 1, wxT("IP"));
	InsertColumn( 2, wxT("Description"));
	InsertColumn( 3, wxT("Ping"));
	InsertColumn( 4, wxT("Users"));
	InsertColumn( 5, wxT("Max Users"));
	InsertColumn( 6, wxT("Files"));
	InsertColumn( 7, wxT("Preference"));
	InsertColumn( 8, wxT("Failed"));
	InsertColumn( 9, wxT("Static"));
	InsertColumn(10, wxT("Soft File Limit"));
	InsertColumn(11, wxT("Hard File Limit"));
	InsertColumn(12, wxT("Version"));
}
